Name: luit
Version: 1.0.3
Release: %mkrel 2
Summary: Locale and ISO 2022 support for Unicode terminals
Group: Development/X11
Source: http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libfontenc-devel >= 1.0.1
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
Luit is a filter that can be run between an arbitrary application and a UTF-8
terminal emulator. It will convert application output from the locale's
encoding into UTF-8, and convert terminal input from UTF-8 into the locale's
encoding.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x	--x-includes=%{_includedir} \
		--x-libraries=%{_libdir} \
		--with-localealiasfile=%{_datadir}/X11/locale/locale.dir

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/luit
%{_mandir}/man1/luit.1*



%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.3-2mdv2009.0
+ Revision: 223133
- rebuild

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.3-1mdv2008.1
+ Revision: 166386
- Revert to use upstream tarball, build requires and remove non mandatory local patches.
  New upstream release version 1.0.3.

* Tue Jan 22 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.2-4mdv2008.1
+ Revision: 156500
- Updated BuildRequires and resubmit package.

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.2-3mdv2008.1
+ Revision: 152883
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Herton Ronaldo Krzesinski <herton@mandriva.com.br>
    - Updated to 1.0.2.
    - Removed compatibility symlink at /usr/X11R6/bin, as xterm now is ok
      with /usr/bin.


* Thu Nov 16 2006 Pablo Saratxaga <pablo@mandriva.com> 1.0.1-4mdv2007.0
+ Revision: 84892
- compatibility symlink

* Tue Aug 15 2006 Pixel <pixel@mandriva.com> 1.0.1-3mdv2007.0
+ Revision: 56040
- locale alias file is %%{_datadir}/X11/locale/locale.dir

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description

